<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Navigacija</title>
    <style>
        #mainNav {
            background-color: #333;
            color: white;
            text-align: center;
        }

        #mainNav ul {
            list-style: none;
            padding: 0;
            margin: 0;
        }

        #mainNav ul li {
            display: inline-block;
        }

        #mainNav ul li a {
            display: block;
            padding: 10px 15px;
            color: white;
            text-decoration: none;
            transition: background-color 0.3s;
        }

        #mainNav ul li a:hover {
            background-color: #555;
        }
    </style>
</head>

<body>
    <nav id="mainNav">
        <ul id="menu"></ul>
    </nav>


    <script>
        const menuData = [
            { "title": "Početna", "link": "index.html" },
            { "title": "O nama", "link": "about.html" },
            { "title": "Usluge", "link": "services.html" },
            { "title": "Kontakt", "link": "contact.html" }
        ];

        const menu = document.getElementById("menu");

        menuData.forEach(item => {
            let li = document.createElement("li");
            let a = document.createElement("a");
            a.textContent = item.title;
            a.href = item.link;
            li.appendChild(a);
            menu.appendChild(li);
        });

    </script>

</body>

</html>